FROM node:20-alpine
WORKDIR /app
RUN corepack enable
COPY package.json /app/apps/server/package.json
COPY package.json /app/package.json
COPY pnpm-workspace.yaml /app/pnpm-workspace.yaml
RUN pnpm install --frozen-lockfile=false
WORKDIR /app/apps/server
EXPOSE 3001
CMD ["pnpm", "dev"]
